org.apache.hadoop.yarn.api.pb

## Class PlacementConstraintFromProtoConverter

- java.lang.Object
- - org.apache.hadoop.yarn.api.pb.PlacementConstraintFromProtoConverter

-     @InterfaceAudience.Private
      public class PlacementConstraintFromProtoConverter
      extends Object

  `PlacementConstraintFromProtoConverter` generates an `PlacementConstraint.AbstractConstraint` given a `YarnProtos.PlacementConstraintProto`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlacementConstraintFromProtoConverter(org.apache.hadoop.yarn.proto.YarnProtos.PlacementConstraintProto constraintProto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.yarn.api.resource.PlacementConstraint` | `convert()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlacementConstraintFromProtoConverter

          public PlacementConstraintFromProtoConverter(org.apache.hadoop.yarn.proto.YarnProtos.PlacementConstraintProto constraintProto)

  - ### Method Detail

    - #### convert

          public org.apache.hadoop.yarn.api.resource.PlacementConstraint convert()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.